:root {
    --deep-blue: #1e56a7;
    --mid-blue: #2f95e6;
    --light-blue: #eaf3ff;
    --border: #d9e3f3;
    --text: #1f3a68;
    --muted: #7a8aa8;

    /* это из шкуля */
    --color-white: #ffffff;
    --color-light-blue: #6d9cc7;
    --color-light2-blue: #5c83a7;
    --color-blue: #16354D;
    --color-black: #0C151C;
    --color-grey: #ececec;
    --color-red: #e72222;
    --color-steel: #f4f7fa;
    --color-2-blue: #0f283b;
    --color-orage: #fa761d;
    --color-yellow: #feda8f;
    --color-black-rgb: 0, 0, 0;
    --color-white-rgb: 255, 255, 255;
    --bs-primary-rgb: 109, 156, 199;
    --color-dark-grey-rgb: 22, 53, 77;
}

html,
body {
    /* Отключаем двойной тап */
    touch-action: manipulation;
    /* Для старых Edge/IE */
    -ms-touch-action: manipulation;
    /* Запрещаем изменение размера текста при масштабировании */
    -webkit-text-size-adjust: 100%;
    /* Запрещаем перетаскивание и «отскок» */
    overscroll-behavior: none;
}

.body-custom.body-manager {
    background-color: var(--color-steel);
    padding-top: 0 !important;
}

/* ============================= хедер ============================ */

.header-menu{
    display:none;
}

.header-grid{
    display:grid;
    grid-template-columns:minmax(0,1fr) minmax(300px,450px) auto;
    grid-template-areas:
        "title search avatar";
    gap:1rem;
    align-items:center;
}

.header-title {
    grid-area: title;
    min-width: 0;
}

.header-search {
    grid-area: search;

    display: grid;
    grid-template-columns: 1fr auto;
    gap: .5rem;
}
.header-user {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    grid-area: avatar;
}

/* --------
    АВАТАРКА ПРОФИЛЯ
------- */
.header-user.manager .header-avatar {
    border: 2px solid var(--border);
    background: linear-gradient(
        135deg,
        var(--border) 0%,
        var(--muted) 50%,
        var(--color-light2-blue) 100%
    );
    transition:
        border-color .2s ease,
        box-shadow .2s ease,
        transform .2s ease;
}

.header-user.manager .header-avatar:hover {
    box-shadow: 0 0 0 .2rem rgba(100, 170, 200, .15);
}

.header-user.manager .header-avatar img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

/*.header-user.manager .header-avatar:focus-visible {*/
/*    outline: none;*/
/*    box-shadow: 0 0 0 .25rem rgba(var(--bs-primary-rgb), .25);*/
/*}*/

@media (max-width: 75rem) {
    .header-menu{
        display:block;
        grid-area:menu;
    }

    .header-grid{
        grid-template-columns:auto 1fr auto;
        grid-template-areas:
            "menu title avatar"
            "search search search";
    }
}

@media (max-width:48rem){

    .header-grid{
        grid-template-columns:auto 1fr auto;
        grid-template-areas:
            "menu title avatar"
            "search search search";
    }

}

@media (max-width:36rem) {
    .header-grid {
        grid-template-columns:auto 1fr;
        grid-template-areas:
        "menu avatar"
        "title title"
        "search search";
    }
    .header-user {
        margin-left: auto;
    }
}

/* =============================== */
body.body-manager {
    background: #f5f8ff;
    line-height: 1.5;
    align-items: stretch;

    min-height: 100vh;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
}

footer {
    margin-top: auto;
}

.layout-wrapper{
    display:grid;
    min-height:100vh;

    /* grid-template-columns:auto 1fr; */
    grid-template-columns: auto minmax(0, 1fr);
    grid-template-rows:auto 1fr;

    grid-template-areas:
        "sidebar header"
        "sidebar desktop";

    row-gap:1rem;
}

.page-header{
    grid-area:header;
    margin-bottom:0 !important;
}

.desktop{
    grid-area:desktop;
    margin: 1rem;
    margin-top: 0;
    /* min-width: 0; */
}

.desktop,
.content {
    min-width: 0;
}

/* ========================= боковое меню ======================== */

.sidebar {
    background-color: var(--color-blue);
    padding: 0.5rem 0;
    width: 16rem;
    transition: all 0.3s ease;
    box-shadow: 0 0 0.5rem rgba(0, 0, 0, 0.05);
    font-size: 1rem;

    grid-area:sidebar;
}

.sidebar.collapsed {
    width: 3.5rem;
}

.sidebar.hidden {
    display: none;
}

.sidebar .sidebar-header {
    display: flex;
    align-items: center;
    position: relative;
    padding: 0.625rem;
    margin-top: 0.5rem;

    height: 2rem;
    min-height: 2rem;
    transition: 0.4s ease;
}

.sidebar-header .s-nav-logo {
    color: var(--border);
    text-transform: uppercase;
    white-space: nowrap;
    line-height: 1;
    font-size: 1.5rem;
    font-weight: 600;
    margin: 0;
    padding: 0;
    transition: 0.4s ease;
}

.sidebar.collapsed .sidebar-header .s-nav-logo {
    display: none;
    opacity: 0;
    pointer-events: none;
}

.sidebar-header .sidebar-toggler {
    position: absolute;
    top: -0.25rem;
    right: 0.625rem;
    height: 2.25rem;
    width: 2.25rem;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0.5rem;
    background-color: var(--color-light2-blue);
    transition: 0.3s all ease;
}

.sidebar-header .sidebar-toggler:hover {
    background: var(--color-light-blue);
    color: var(--color-steel);
}

.sidebar.collapsed .sidebar-toggler {
    transform: translate(0px, 0px);
}

.sidebar-header .sidebar-toggler i {
    font-size: 1.25rem;
    transition: 0.4s ease;
}

.sidebar.collapsed .sidebar-toggler i,
.sidebar.collapsed .sidebar-toggler svg {
    transform: rotate(180deg);
}

.sidebar-nav .s-nav-list {
    list-style: none;
    display: flex;
    padding: 0;
    flex-direction: column;
    transform: translateY(1rem);
    transition: 0.4s ease;
}

.sidebar-nav .s-nav-item .s-nav-link {
    color: var(--color-grey);
    display: flex;
    gap: 0.75rem;
    white-space: nowrap;
    padding: 0.625rem 1rem;
    align-items: center;
    text-decoration: none;
    transition: all 0.3s ease;
}

.sidebar-nav .s-nav-item .s-nav-link.with-badge {
    position: relative;
}

.sidebar .s-nav-link.with-badge .s-nav-badge {
    position: absolute;
    top: 0.625rem;
    right: 0.625rem;
    transition: 0.3s all ease;
}
.sidebar.collapsed .s-nav-link.with-badge .s-nav-badge.badge {
    border-radius: 50%;
    transform: translate(8px, 0px) scale(0.85);
}

.sidebar-nav .s-nav-item:hover>.s-nav-link:not(.s-dropdown-title) {
    color: var(--color-steel);
    background-color: var(--color-light-blue);
}

.sidebar-nav .s-nav-item .s-nav-link.active {
    color: var(--color-steel);
    background-color: var(--color-light-blue);
    box-shadow: -0.25rem 0px 0px 0px rgba(25, 113, 180, 0.322);
}

.sidebar-nav .s-nav-link :where(.s-nav-label, .s-dropdown-icon) {
    transition: opacity 0.3s ease;
}

.sidebar.collapsed .s-nav-link :where(.s-nav-label, .s-dropdown-icon) {
    opacity: 0;
    pointer-events: none;
}

.sidebar-nav .s-nav-item {
    position: relative;
}

.sidebar-nav .s-dropdown-container .s-dropdown-icon {
    margin: 0 -0.25rem 0 auto;
    transition: transform 0.4s ease, opacity 0.3s ease;
}

.sidebar.collapsed .s-dropdown-container .s-dropdown-icon {
    transition: opacity 0.3s ease;
}

.sidebar-nav .s-dropdown-container.open .s-dropdown-icon {
    transform: rotate(180deg);
}

.sidebar-nav .s-dropdown-menu {
    height: 0;
    overflow-y: hidden;
    list-style: none;
    transition: height 0.4s ease;
}

.sidebar.collapsed .s-dropdown-menu {
    position: absolute;
    top: -0.625rem;
    opacity: 0;
    height: auto !important;
    overflow-y: unset;
    pointer-events: none;
    color: var(--color-steel);
    background-color: var(--light-blue);
    transition: left 0.3s ease;

    left: 3.5rem;
    margin-left: 0;
    padding-left: 0;
    transform: translateX(0);
}

.sidebar.collapsed .s-nav-item:hover .s-dropdown-menu {
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0.625rem);
    transition: 0.4s ease;
}

.s-dropdown-menu .s-nav-item .s-nav-link {
    padding: 0.625rem 1rem;
}

.sidebar.collapsed .s-dropdown-menu .s-nav-item {
    padding: 0.1rem 0.25rem;
    background-color:  var(--light-blue);
}
.sidebar.collapsed .s-dropdown-menu .s-nav-item .s-nav-link {
    color: var(--color-light2-blue);
}
.sidebar.collapsed .s-dropdown-menu .s-nav-item:hover .s-nav-link {
    color: var(--color-steel);
}

.sidebar.collapsed .s-dropdown-menu .s-nav-item:first-child {
    padding: 0.375rem 0.25rem 0.5rem 0.375rem;
    background-color: var(--color-light-blue);
}

.sidebar.collapsed .s-dropdown-menu .s-nav-item:first-child .s-nav-link {
    color: var(--color-steel);
    font-weight: 500;
}

.sidebar.collapsed .s-dropdown-menu .s-nav-link {
    padding: 0.25rem 1.125rem 0.25rem 1rem;
}

.s-dropdown-menu .s-nav-item .s-dropdown-title {
    display: none;
}

.sidebar.collapsed .s-dropdown-menu .s-nav-item .s-dropdown-title {
    display: block;
}

.sidebar.collapsed .s-dropdown-menu {
    box-shadow: 0.25rem 0.25rem 1px 1px rgba(83, 98, 105, 0.24);
    position: absolute;
    z-index: 1000;
}

.sidebar {
    position: relative;
    z-index: 1010;
}

/* ======== Адаптация бокового меню под моб. устройства ============ */
@media (max-width:75rem){
    .layout-wrapper{
        gap: 0;
        grid-template-columns:1fr;
        grid-template-rows:
            auto
            auto
            1fr;
        grid-template-areas:
            "header"
            "sidebar"
            "desktop";
    }

    .sidebar{
        width:100%;
        margin-top: 0.5rem;
    }

    .sidebar.hidden{
        display:none;
    }

    .sidebar:not(.hidden) {
        transform: translateY(0);
        opacity: 1;
        visibility: visible;
    }

    .sidebar-header .sidebar-toggler {
        display: none;
        opacity: 0;
        pointer-events: none;
    }

    .layout-wrapper {
        flex-direction: column;
    }

    .content {
        flex: none;
        width: 100%;
    }

    .desktop {
        margin: 0.5rem;
    }
}

@media (max-width: 48rem) {
    .layout-wrapper {
        padding: 0.5rem;
    }
}

.badge {
    font-size: 0.875rem;
    font-weight: 500;
    border-radius: 0.2rem;
}

.badge-secondary {
    color: #606d8a;
    border: 1px solid var(--border);
    background-color: #f3f5f7;
}

.badge-info {
    color: var(--mid-blue);
    border: 1px solid var(--border);
    background-color: #eff5fc;
}

.badge-danger {
    color: var(--color-red);
    border: 1px solid #ecaaaa;
    background-color: #ffe6e6;
}

.badge-warning {
    color:  #d8aa47;
    border: 1px solid var(--color-yellow);
    background-color: #fff9eb;
}

.badge-success {
    color: #518521;
    border: 1px solid #a6d679;
    background-color: #dff5da;
}

.btn,
.form-control,
.form-select {
    border-radius: 0.1rem !important;
}

/* .table-light {
    --bs-table-bg: var(--color-steel):
    background-color: var(--color-steel);
} */

/* адаптивная табличка для мобилки . обычная таблица становится карточками */
@media (max-width: 48rem) {
    table.table-mobile-view {
        border: 0;
    }

    table.table-mobile-view thead {
        border: none;
        clip: rect(0 0 0 0);
        height: 1px;
        margin: -1px;
        overflow: hidden;
        padding: 0;
        position: absolute;
        width: 1px;
    }

    table.table-mobile-view tr {
        display: block;
        border: 1px solid var(--color-light-blue);
        margin-bottom: .625em;
        box-shadow: 0 0.2rem 0.7rem rgba(0, 0, 0, 0.15);
    }

    table.table-mobile-view tr :where(.td-first) {
        border-top: 0.25rem solid var(--color-light-blue);
    }

    table.table-mobile-view td {
        border-bottom: 1px solid var(--border);
        display: block;
        font-size: 0.875rem;
        text-align: right;
        padding: 0.5rem 0.75rem;
    }

    table.table-mobile-view td::before {
        content: attr(data-label);
        float: left;
        text-transform: uppercase;
        font-size: 0.875rem;
        color: var(--color-blue);
    }

    table.table-mobile-view td:last-child {
        border-bottom: 0;
    }

    table.table-mobile-view tr.comments {
        margin-top: -0.87rem;
    }

    .table.table-mobile-view.left-text td {
        text-align: left;
    }
}

.info-panel {
    display: flex;
    align-items: center;
    gap: 1rem;
    border: 1px solid var(--border);
    padding: 0.5rem 1rem;
    background-color: var(--color-white);
}
.info-panel .btn {
    margin-left: auto;
}

.icon-panel {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    width: 45px;
    height: 45px;
}

@media (max-width: 32rem) {
    .info-panel {
        display: flex;
        flex-direction: column;
        align-items: baseline;
    }
    .info-panel .btn {
        margin-left: 0;
    }
}
